package models

import (
	"github.com/beego/beego/v2/client/orm"
)

type AdminMobileResp struct {
	Mobile string `description:"手机号"`
}

// 获取销售所能查看到的手机号
func GetAdminByRole() (items []*AdminMobileResp, err error) {
	o := orm.NewOrm()
	sql := ` SELECT mobile  FROM admin  WHERE role = 'admin' `
	_, err = o.Raw(sql).QueryRows(&items)
	return
}

// 获取权益内部人员手机号
func GetRaiAdmin() (items []*AdminMobileResp, err error) {
	o := orm.NewOrm()
	sql := ` SELECT
			mobile
		FROM
			admin 
		WHERE
			role_type_code LIKE '%rai%' 
			AND group_id NOT IN ( 19, 10 ) 
			AND enabled = 1 
			OR (
			department_name = '产品技术部' 
			AND enabled = 1) `
	_, err = o.Raw(sql).QueryRows(&items)
	return
}
