package services

import (
	"hongze/hongze_clpt/models"
	"hongze/hongze_clpt/utils"
	"time"
)

func AddCygxReportHistoryRecord(user *models.WxUserItem, articleId int, reportType string) (err error) {
	defer func() {
		if err != nil {
			go utils.SendAlarmMsg("研究汇总用户浏览信息记录失败"+err.Error(), 2)
		}
	}()
	historyRecord := new(models.CygxReportHistoryRecord)
	historyRecord.UserId = user.UserId
	historyRecord.ArticleId = articleId
	historyRecord.CreateTime = time.Now()
	historyRecord.Mobile = user.Mobile
	historyRecord.Email = user.Email
	historyRecord.CompanyId = user.CompanyId
	historyRecord.CompanyName = user.CompanyName
	historyRecord.RegisterPlatform = utils.REGISTER_PLATFORM
	historyRecord.ReportType = reportType
	sellerItem, err := models.GetSellerByCompanyIdCheckFicc(user.CompanyId, 2)
	if err != nil && err.Error() != utils.ErrNoRow() {
		return
	}
	historyRecord.RealName = user.RealName
	if sellerItem != nil {
		historyRecord.SellerName = sellerItem.RealName
	}
	_, err = models.AddCygxReportHistoryRecord(historyRecord)
	return
}
